=begin pod

=TITLE class X::ControlFlow

=SUBTITLE Error due to calling a loop control command in an ineligible scope

    class X::ControlFlow is Exception { }

Thrown when a control flow construct (such as C<next> or C<redo>) is called
outside the dynamic scope of an enclosing construct that is supposed to catch
them.

For example

    last

dies with

    last without loop construct

=head1 Methods

=head2 method illegal

    method illegal returns Str:D

Returns the name of the control flow command that was called.

=head2 method enclosing

    method enclosing returns Str:D

Returns the name of the missing enclosing construct.

=end pod
